import { ref, watch, watchEffect } from 'vue';
export function useReactMemo(factory, deps) {
    const state = ref();
    if (deps) {
        watch(deps, () => {
            state.value = factory();
        }, {
            deep: true,
            immediate: true
        });
    }
    else {
        watchEffect(() => {
            state.value = factory();
        });
    }
    return state;
}
