"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useReactMemo = void 0;
const vue_1 = require("vue");
function useReactMemo(factory, deps) {
    const state = (0, vue_1.ref)();
    if (deps) {
        (0, vue_1.watch)(deps, () => {
            state.value = factory();
        }, {
            deep: true,
            immediate: true
        });
    }
    else {
        (0, vue_1.watchEffect)(() => {
            state.value = factory();
        });
    }
    return state;
}
exports.useReactMemo = useReactMemo;
